summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-01-07 20:50:50 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-01-07 20:51:14 +0100
commita0b497aa9e85bb26c2ba9749a680e3a12410059f (patch)
treeae0da7641e75f34ac2aa73da669ee325c4fd4b48
parentdev-python/flask-login: Bump (diff)
downloadgentoo-a0b497aa9e85bb26c2ba9749a680e3a12410059f.tar.gz
gentoo-a0b497aa9e85bb26c2ba9749a680e3a12410059f.tar.bz2
gentoo-a0b497aa9e85bb26c2ba9749a680e3a12410059f.zip
dev-python/odo: Bump
Package-Manager: portage-2.2.26
-rw-r--r--dev-python/odo/Manifest1
-rw-r--r--dev-python/odo/odo-0.4.0.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/odo/Manifest b/dev-python/odo/Manifest
index 2223c0fcda6..1c7acf67e34 100644
--- a/dev-python/odo/Manifest
+++ b/dev-python/odo/Manifest
@@ -1,2 +1,3 @@
DIST odo-0.3.2.zip 142291 SHA256 515365ec8b67c7c73303391b8f12107be6a8f4ab983352f548dcb32f8eb175e5 SHA512 c2a0dc2f62225bb394fc5f01476a9159310c798f7ea115ccf6e292d99c666509a0e6ef10c50c47c491ffdc805046152a9d75f90940153fbba4382426a07354b7 WHIRLPOOL 74ee63848e20b8936d6608f240c449bf3d81916bf40be51723fd7f519139474fa74f477bc3e835c9988e8926e12510a5e234817291240a1ae4aeefbb0a8c0cb3
DIST odo-0.3.3.tar.gz 109748 SHA256 2499ee86c26c74daa28f21ed235ca331911065950deea5169ebdb7d5dae6ebef SHA512 7c470ea5a24ab5ccc3e72d1cbb4dcd2d370bb5de6ee5d8f1dafb8215db057f920d61470dbba02e5510ee5700fe86f2ae842bbc2bbbedf20e801789998b9c714e WHIRLPOOL 8c5329310a33d890452de8d9156f207ab294b26a68722719f375f2da4bef8fd23b47aee883c4a5c79e0f39cc30eb5eaab544e3f02c34b24062c6c2c2bfc146c3
+DIST odo-0.4.0.tar.gz 129308 SHA256 e9d84a76f9a60bb278810204892348d6883cc1f4c6ce34e362421d75d6271577 SHA512 303462c0d21cc44219256f4f6b3c7ccacbcc2cb880a8c5a864ed8ef5159b365d099a7dc308574d37fd566e1fffa57db615a9e51e42ebcf3e101aee9143c60d20 WHIRLPOOL f935829b1423ab096113ed5042d9e0773024128717d42cade358217daa72d9163a472ad575ca572c91f752f91a85f9a5221420cc25f03d46631f1fdf651f11cd
diff --git a/dev-python/odo/odo-0.4.0.ebuild b/dev-python/odo/odo-0.4.0.ebuild
new file mode 100644
index 00000000000..dd0574d8ff8
--- /dev/null
+++ b/dev-python/odo/odo-0.4.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Data migration in python"
+HOMEPAGE="https://github.com/ContinuumIO/odo"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="app-arch/unzip
+ doc? ( dev-python/docutils )"
+RDEPEND=">=dev-python/datashape-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.7[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.15.0[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/multipledispatch-0.4.7[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ "
+
+python_prepare_all() {
+ sed -e '/.. toctree::/d' -i docs/source/index.rst|| die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ pushd docs/source > /dev/null
+ mkdir ../build || die
+ local i;
+ for i in ./*
+ do
+ rst2html.py $i > ../build/${i/rst/html} || die
+ done
+ popd > /dev/null
+ fi
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/. )
+ distutils-r1_python_install_all
+}